org.apache.felix.useradmin

## Class RoleFactory

- java.lang.Object
- - org.apache.felix.useradmin.RoleFactory

    public final class RoleFactory
    extends Object

Provides a factory for creating the various role instances, can be used by external implementations to create new role instances.

### Method Summary

All Methods Static Methods Concrete Methods
`static org.osgi.service.useradmin.Group` `createGroup(String name)` Creates a new group-role instance.
`static org.osgi.service.useradmin.Role` `createRole(int type, String name)` Creates a new role instance with the given type and name.
`static org.osgi.service.useradmin.Role` `createRole(String name)` Creates a new role instance.
`static org.osgi.service.useradmin.User` `createUser(String name)` Creates a new user-role instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createGroup

    public static org.osgi.service.useradmin.Group createGroup(String name)

Creates a new group-role instance.

Parameters:
  `name` - the name of the group to create.
Returns:
  a new `Group` instance denoting the requested role, never `null`.

#### createRole

    public static org.osgi.service.useradmin.Role createRole(int type,
                                                             String name)

Creates a new role instance with the given type and name.

Parameters:
  `type` - the type of the role to create;
  `name` - the name of the role to create.
Returns:
  a new `Role` instance denoting the requested role, never `null`.

#### createRole

    public static org.osgi.service.useradmin.Role createRole(String name)

Creates a new role instance.

Parameters:
  `name` - the name of the role to create.
Returns:
  a new `Role` instance denoting the requested role, never `null`.

#### createUser

    public static org.osgi.service.useradmin.User createUser(String name)

Creates a new user-role instance.

Parameters:
  `name` - the name of the user to create.
Returns:
  a new `User` instance denoting the requested role, never `null`.